
TYPO3.Flow - Bug # 12430

Status: Closed Priority: Must have
Author: Christian Lerrahn Category: I18n
Created: 2011-01-21 Assigned To: Karol Gusak
Updated: 2011-07-06 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: F3\FLOW3\I18n\Cldr\Reader\Exception\UnableToFindFormatException thrown in file NumbersReader.php
Description

I'm trying to validate data on a object which I created in the code and filled with data from a file.

I presume that the localisation causes this exception somehow. The code used to run with version that did not have localisation, yet.
Is this a bug or a configuration issue?

Number format was not found. Please check whether CLDR repository is valid.
50 F3\FLOW3\I18n\Cldr\Reader\NumbersReader::parseFormatFromCldr(F3\FLOW3\I18n\Locale, "decimal", "default")
49 F3\FLOW3\I18n\Parser\NumberParser::parseDecimalNumber("1", F3\FLOW3\I18n\Locale, "default", boolean)
48 F3\FLOW3\Validation\Validator\NumberValidator::isValid("1", boolean)
47
F3\FLOW3\Validation\Validator\GenericObjectValidator::isPropertyValid(F3\UtilityMeterReconciliation\Domain\Model\Asset_AOPProxy_
y_Development, "assetIdentifier")
46
F3\FLOW3\Validation\Validator\GenericObjectValidator::isValid(F3\UtilityMeterReconciliation\Domain\Model\Asset_AOPProxy_Developm
pment, boolean)
45
F3\FLOW3\Validation\Validator\ConjunctionValidator::isValid(F3\UtilityMeterReconciliation\Domain\Model\Asset_AOPProxy_Developmen
ent)
44 F3\UtilityMeterReconciliation\Controller\File\FileController::parseFileContents("asset",
""Asset_ID","Asset_Name","Asset_Use","Asset_Street_…et, Wandin North VIC 3139","Wandin North",3139,,
⏎", array, boolean)
43
F3\UtilityMeterReconciliation\Controller\File\FileController::parseAction(F3\UtilityMeterReconciliation\Domain\Model\File_AOPProxy_Dev
evelopment)
42
F3\UtilityMeterReconciliation\Controller\File\FileController_AOPProxy_Development::parseAction(F3\UtilityMeterReconciliation\Domain\
n\Model\File_AOPProxy_Development)
41 call_user_func_array(array, array)
40
F3\UtilityMeterReconciliation\Controller\File\FileController_AOPProxy_Development::FLOW3_AOP_Proxy_invokeJoinPoint(F3\FLOW3\
3\AOP\JoinPoint)
39 F3\FLOW3\AOP\Advice\AdviceChain::proceed(F3\FLOW3\AOP\JoinPoint)
38 F3\FLOW3\Security\Aspect\PolicyEnforcementAspect::enforcePolicy(F3\FLOW3\AOP\JoinPoint)
37 F3\FLOW3\AOP\Advice\AroundAdvice::invoke(F3\FLOW3\AOP\JoinPoint)
36 F3\FLOW3\AOP\Advice\AdviceChain::proceed(F3\FLOW3\AOP\JoinPoint)
35
F3\UtilityMeterReconciliation\Controller\File\FileController_AOPProxy_Development::parseAction(F3\UtilityMeterReconciliation\Domain\
n\Model\File_AOPProxy_Development)
34 call_user_func_array(array, array)
33 F3\FLOW3\MVC\Controller\ActionController::callActionMethod()
32 F3\UtilityMeterReconciliation\Controller\File\FileController_AOPProxy_Development::callActionMethod()
31 call_user_func_array(array, array)
30
F3\UtilityMeterReconciliation\Controller\File\FileController_AOPProxy_Development::FLOW3_AOP_Proxy_invokeJoinPoint(F3\FLOW3\
3\AOP\JoinPoint)
29 F3\FLOW3\AOP\Advice\AdviceChain::proceed(F3\FLOW3\AOP\JoinPoint)
28 F3\FLOW3\Security\Aspect\PolicyEnforcementAspect::enforcePolicy(F3\FLOW3\AOP\JoinPoint)
27 F3\FLOW3\AOP\Advice\AroundAdvice::invoke(F3\FLOW3\AOP\JoinPoint)
26 F3\FLOW3\AOP\Advice\AdviceChain::proceed(F3\FLOW3\AOP\JoinPoint)
25 F3\UtilityMeterReconciliation\Controller\File\FileController_AOPProxy_Development::callActionMethod()
24 F3\FLOW3\MVC\Controller\ActionController::processRequest(F3\FLOW3\MVC\Web\Request, F3\FLOW3\MVC\Web\Response)
23
F3\UtilityMeterReconciliation\Controller\File\FileController_AOPProxy_Development::processRequest(F3\FLOW3\MVC\Web\Request, 
, F3\FLOW3\MVC\Web\Response)
22 call_user_func_array(array, array)
21
F3\UtilityMeterReconciliation\Controller\File\FileController_AOPProxy_Development::FLOW3_AOP_Proxy_invokeJoinPoint(F3\FLOW3\
3\AOP\JoinPoint)
20 F3\FLOW3\AOP\Advice\AdviceChain::proceed(F3\FLOW3\AOP\JoinPoint)
19 F3\FLOW3\Security\Aspect\PolicyEnforcementAspect::enforcePolicy(F3\FLOW3\AOP\JoinPoint)
18 F3\FLOW3\AOP\Advice\AroundAdvice::invoke(F3\FLOW3\AOP\JoinPoint)
17 F3\FLOW3\AOP\Advice\AdviceChain::proceed(F3\FLOW3\AOP\JoinPoint)
16
F3\UtilityMeterReconciliation\Controller\File\FileController_AOPProxy_Development::processRequest(F3\FLOW3\MVC\Web\Request, 
, F3\FLOW3\MVC\Web\Response)
15 F3\FLOW3\MVC\Dispatcher::dispatch(F3\FLOW3\MVC\Web\Request, F3\FLOW3\MVC\Web\Response)
14 F3\FLOW3\MVC\Dispatcher_AOPProxy_Development::dispatch(F3\FLOW3\MVC\Web\Request,
F3\FLOW3\MVC\Web\Response)
13 call_user_func_array(array, array)
12 F3\FLOW3\MVC\Dispatcher_AOPProxy_Development::FLOW3_AOP_Proxy_invokeJoinPoint(F3\FLOW3\AOP\JoinPoint)
11 F3\FLOW3\AOP\Advice\AdviceChain::proceed(F3\FLOW3\AOP\JoinPoint)
10
F3\FLOW3\Security\Aspect\RequestDispatchingAspect::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(F3\FLOW3\AOP\
P\JoinPoint)
9 F3\FLOW3\AOP\Advice\AroundAdvice::invoke(F3\FLOW3\AOP\JoinPoint)
8 F3\FLOW3\AOP\Advice\AdviceChain::proceed(F3\FLOW3\AOP\JoinPoint)
7 F3\FLOW3\Security\Aspect\RequestDispatchingAspect::initializeSecurity(F3\FLOW3\AOP\JoinPoint)
6 F3\FLOW3\AOP\Advice\AroundAdvice::invoke(F3\FLOW3\AOP\JoinPoint)
5 F3\FLOW3\AOP\Advice\AdviceChain::proceed(F3\FLOW3\AOP\JoinPoint)
4 F3\FLOW3\MVC\Dispatcher_AOPProxy_Development::dispatch(F3\FLOW3\MVC\Web\Request, F3\FLOW3\MVC\Web\Response)
3 F3\FLOW3\MVC\Web\RequestHandler::handleRequest()
2 F3\FLOW3\Core\Bootstrap::run()
1 require("/home/foobar/FLOW3-git/FLOW3/Packages/Framework/FLOW3/Scripts/FLOW3.php")

History
#1 - 2011-03-21 12:05 - Karsten Dambekalns
- Assigned To set to Karol Gusak

Karol, could you have a look at this?
#2 - 2011-03-24 21:55 - Karsten Dambekalns
- Category changed from - Error Handler Report - to I18n

#3 - 2011-07-06 19:48 - Karsten Dambekalns
- Status changed from New to Closed

Is this still an issue? I guess not, and we'll disable I18n for 1.0, as the full support will make it into 1.1 only.
